Emacs Security Update for SUSE Enterprise
Posted on: 09/20/2017 02:09 PM

Updated emacs packages has been released for SUSE Linux Enterprise and OpenStack Cloud

Emacs Security Update for SUSE Enterprise


SUSE Security Update: Security update for emacs
______________________________________________________________________________

Announcement ID: SUSE-SU-2017:2529-1
Rating: important
References: #1058425
Cross-References: CVE-2017-14482
Affected Products:
SUSE OpenStack Cloud 6
SUSE Linux Enterprise Server for SAP 12-SP1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2
SUSE Linux Enterprise Server 12-SP3
SUSE Linux Enterprise Server 12-SP2
SUSE Linux Enterprise Server 12-SP1-LTSS
SUSE Linux Enterprise Server 12-LTSS
SUSE Linux Enterprise Desktop 12-SP3
SUSE Linux Enterprise Desktop 12-SP2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for emacs fixes one issues.

This security issue was fixed:

- CVE-2017-14482: Remote code execution via mails with "Content-Type:
text/enriched" (bsc#1058425)


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE OpenStack Cloud 6:

zypper in -t patch SUSE-OpenStack-Cloud-6-2017-1565=1

- SUSE Linux Enterprise Server for SAP 12-SP1:

zypper in -t patch SUSE-SLE-SAP-12-SP1-2017-1565=1

- SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:

zypper in -t patch SUSE-SLE-RPI-12-SP2-2017-1565=1

- SUSE Linux Enterprise Server 12-SP3:

zypper in -t patch SUSE-SLE-SERVER-12-SP3-2017-1565=1

- SUSE Linux Enterprise Server 12-SP2:

zypper in -t patch SUSE-SLE-SERVER-12-SP2-2017-1565=1

- SUSE Linux Enterprise Server 12-SP1-LTSS:

zypper in -t patch SUSE-SLE-SERVER-12-SP1-2017-1565=1

- SUSE Linux Enterprise Server 12-LTSS:

zypper in -t patch SUSE-SLE-SERVER-12-2017-1565=1

- SUSE Linux Enterprise Desktop 12-SP3:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2017-1565=1

- SUSE Linux Enterprise Desktop 12-SP2:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP2-2017-1565=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE OpenStack Cloud 6 (x86_64):

emacs-24.3-25.3.1
emacs-debuginfo-24.3-25.3.1
emacs-debugsource-24.3-25.3.1
emacs-nox-24.3-25.3.1
emacs-nox-debuginfo-24.3-25.3.1
emacs-x11-24.3-25.3.1
emacs-x11-debuginfo-24.3-25.3.1
etags-24.3-25.3.1
etags-debuginfo-24.3-25.3.1

- SUSE OpenStack Cloud 6 (noarch):

emacs-el-24.3-25.3.1
emacs-info-24.3-25.3.1

- SUSE Linux Enterprise Server for SAP 12-SP1 (ppc64le x86_64):

emacs-24.3-25.3.1
emacs-debuginfo-24.3-25.3.1
emacs-debugsource-24.3-25.3.1
emacs-nox-24.3-25.3.1
emacs-nox-debuginfo-24.3-25.3.1
emacs-x11-24.3-25.3.1
emacs-x11-debuginfo-24.3-25.3.1
etags-24.3-25.3.1
etags-debuginfo-24.3-25.3.1

- SUSE Linux Enterprise Server for SAP 12-SP1 (noarch):

emacs-el-24.3-25.3.1
emacs-info-24.3-25.3.1

- SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (aarch64):

emacs-24.3-25.3.1
emacs-debuginfo-24.3-25.3.1
emacs-debugsource-24.3-25.3.1
emacs-nox-24.3-25.3.1
emacs-nox-debuginfo-24.3-25.3.1
emacs-x11-24.3-25.3.1
emacs-x11-debuginfo-24.3-25.3.1
etags-24.3-25.3.1
etags-debuginfo-24.3-25.3.1

- SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (noarch):

emacs-el-24.3-25.3.1
emacs-info-24.3-25.3.1

- SUSE Linux Enterprise Server 12-SP3 (aarch64 ppc64le s390x x86_64):

emacs-24.3-25.3.1
emacs-debuginfo-24.3-25.3.1
emacs-debugsource-24.3-25.3.1
emacs-nox-24.3-25.3.1
emacs-nox-debuginfo-24.3-25.3.1
emacs-x11-24.3-25.3.1
emacs-x11-debuginfo-24.3-25.3.1
etags-24.3-25.3.1
etags-debuginfo-24.3-25.3.1

- SUSE Linux Enterprise Server 12-SP3 (noarch):

emacs-el-24.3-25.3.1
emacs-info-24.3-25.3.1

- SUSE Linux Enterprise Server 12-SP2 (aarch64 ppc64le s390x x86_64):

emacs-24.3-25.3.1
emacs-debuginfo-24.3-25.3.1
emacs-debugsource-24.3-25.3.1
emacs-nox-24.3-25.3.1
emacs-nox-debuginfo-24.3-25.3.1
emacs-x11-24.3-25.3.1
emacs-x11-debuginfo-24.3-25.3.1
etags-24.3-25.3.1
etags-debuginfo-24.3-25.3.1

- SUSE Linux Enterprise Server 12-SP2 (noarch):

emacs-el-24.3-25.3.1
emacs-info-24.3-25.3.1

- SUSE Linux Enterprise Server 12-SP1-LTSS (ppc64le s390x x86_64):

emacs-24.3-25.3.1
emacs-debuginfo-24.3-25.3.1
emacs-debugsource-24.3-25.3.1
emacs-nox-24.3-25.3.1
emacs-nox-debuginfo-24.3-25.3.1
emacs-x11-24.3-25.3.1
emacs-x11-debuginfo-24.3-25.3.1
etags-24.3-25.3.1
etags-debuginfo-24.3-25.3.1

- SUSE Linux Enterprise Server 12-SP1-LTSS (noarch):

emacs-el-24.3-25.3.1
emacs-info-24.3-25.3.1

- SUSE Linux Enterprise Server 12-LTSS (ppc64le s390x x86_64):

emacs-24.3-25.3.1
emacs-debuginfo-24.3-25.3.1
emacs-debugsource-24.3-25.3.1
emacs-nox-24.3-25.3.1
emacs-nox-debuginfo-24.3-25.3.1
emacs-x11-24.3-25.3.1
emacs-x11-debuginfo-24.3-25.3.1
etags-24.3-25.3.1
etags-debuginfo-24.3-25.3.1

- SUSE Linux Enterprise Server 12-LTSS (noarch):

emacs-el-24.3-25.3.1
emacs-info-24.3-25.3.1

- SUSE Linux Enterprise Desktop 12-SP3 (x86_64):

emacs-24.3-25.3.1
emacs-debuginfo-24.3-25.3.1
emacs-debugsource-24.3-25.3.1
emacs-x11-24.3-25.3.1
emacs-x11-debuginfo-24.3-25.3.1
etags-24.3-25.3.1
etags-debuginfo-24.3-25.3.1

- SUSE Linux Enterprise Desktop 12-SP3 (noarch):

emacs-info-24.3-25.3.1

- SUSE Linux Enterprise Desktop 12-SP2 (x86_64):

emacs-24.3-25.3.1
emacs-debuginfo-24.3-25.3.1
emacs-debugsource-24.3-25.3.1
emacs-x11-24.3-25.3.1
emacs-x11-debuginfo-24.3-25.3.1
etags-24.3-25.3.1
etags-debuginfo-24.3-25.3.1

- SUSE Linux Enterprise Desktop 12-SP2 (noarch):

emacs-info-24.3-25.3.1


References:

https://www.suse.com/security/cve/CVE-2017-14482.html
https://bugzilla.suse.com/1058425



Printed from Linux Compatible (https://www.linuxcompatible.org/news/story/emacs_security_update_for_suse_enterprise.html)